Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 683354 - dev-util/smem-1.5 version bump
Summary: dev-util/smem-1.5 version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks:
 
Reported: 2019-04-14 23:02 UTC by Red
Modified: 2019-10-13 11:22 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Red 2019-04-14 23:02:11 UTC
This 2007 version of smem is pretty ancient.

The official page is here:

https://www.selenic.com/smem/

The following download link offers up to version 1.4:

https://www.selenic.com/smem/download/

The following download link offers up to version 1.5:

https://selenic.com/repo/smem

Both of these are dated 2015.
The oldest smem version available for download is 0.1, which is 2009.
Comment 1 Red 2019-04-16 09:58:14 UTC
In case you missed my "See Also" addition, bug 449058 (regarding the outdated homepage) needs to be reopened as the URL changed again.

Bug 449058 offered two suggested replacement URLs after the original page went down in 2012. One of the suggested URLs was the one mentioned in this bug (although with HTTP instead of HTTPS), while the other one (a Blogspot page, now dead) was chosen in 2015.
Comment 2 Larry the Git Cow gentoo-dev 2019-10-13 11:22:11 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bb4c4617af1a8a7a1786135f4807a3e9d5c2c30e

commit bb4c4617af1a8a7a1786135f4807a3e9d5c2c30e
Author:     Conrad Kostecki <conrad@kostecki.com>
AuthorDate: 2019-10-04 22:33:42 +0000
Commit:     Joonas Niilola <juippis@gentoo.org>
CommitDate: 2019-10-13 11:21:58 +0000

    dev-util/smem: bump to version 1.4
    
    Closes: https://bugs.gentoo.org/683354
    Package-Manager: Portage-2.3.76, Repoman-2.3.17
    Signed-off-by: Conrad Kostecki <conrad@kostecki.com>
    Signed-off-by: Joonas Niilola <juippis@gentoo.org>

 dev-util/smem/Manifest        |  1 +
 dev-util/smem/metadata.xml    | 21 ++++++++++++++++++++-
 dev-util/smem/smem-1.4.ebuild | 42 ++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 63 insertions(+), 1 deletion(-)